/********************************************************************************
 * Copyright (c) 2015, 2023 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

:host ::ng-deep .p-treetable-header {
  padding: .25em .5em!important;
  text-align: right!important;
}

.toggler {
  width: 19px;
  height: 19px;
  color: #6c757d;
  margin: 0 8px 0 8px;
}
:host ::ng-deep .p-button-xsm {
  font-size: 0.5rem!important;
  padding: 0.3rem 0.5rem!important;
}

.clickable:not(.readOnly) { 
  cursor: pointer;
}

tr.mdm-attribute-row .clickable.readOnly {
  background-color: rgba(211, 211, 211, 0.5);
}

:host ::ng-deep .p-treetable .p-treetable-tbody > tr.mdm-component-row {
  background-color: #e3e3e3;
}

:host ::ng-deep .p-treetable .p-treetable-thead > tr > th {
  background-color: #f8f9fa;
}

.content-wrapper {
  height: 100%;
  overflow: hidden;
}

:host ::ng-deep .p-treetable-scrollable-header {
  flex-grow: 0; flex-shrink: 0;
}


:host ::ng-deep .p-treetable-flex-scrollable .p-treetable-scrollable-wrapper {
  height: calc(100% - 45px); /* Adjust since wrapper ignores caption*/
}